Skip to main content
GET
List/Search Orders

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
Example:

25

offset
integer
default:0
Required range: x >= 0
Example:

0

sortBy
string
default:created_at

Sort field: created_at, updated_at, value_cents, pickup_start_time, pickup_end_time, dropoff_start_time, dropoff_end_time

Example:

"created_at"

sortDirection
string
default:DESC

Sort direction: ASC or DESC

Example:

"DESC"

startDate
string<date-time> | null

Lower bound for pickup/dropoff/created-at window. Defaults to 30 days ago.

endDate
string<date-time> | null

Upper bound for pickup/dropoff/created-at window. Defaults to now.

status
string | null

Comma-separated list of order statuses (e.g. active,pending_confirmation)

Example:

"active,pending_confirmation"

ids
string | null

Comma-separated list of order ids. Bypasses date filter when set.

referenceId
string | null

Exact order reference id. May return multiple orders and bypasses the date filter when set.

Example:

"REF-123"

tags
string | null

Comma-separated list of tags

search
string | null

Free-form search

hasRoute
string | null

Filter by route state: has_route, no_route, or all

Example:

"all"

pickupStoreLocationIds
string | null

Comma-separated store location ids

dropoffStoreLocationIds
string | null

Comma-separated store location ids

city
string | null

Comma-separated list of pickup or dropoff cities

state
string | null

Comma-separated list of pickup or dropoff states

country
string | null

Comma-separated list of pickup or dropoff countries

pickupBusinessName
string | null

Comma-separated list

dropoffBusinessName
string | null

Comma-separated list

creationSource
string | null

Comma-separated list

dispatchStrategyId
string | null

Comma-separated list

Response

OK

results
OrderListItem · object[]
required
totalCount
integer
required
limit
integer
required
offset
integer
required